Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class MapTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.MapTO

All Implemented Interfaces:
  Serializable

public class MapTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`MapTO()`
`MapTO(String key, String[] values)`

Method Summary
`boolean` | `equals(Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getKey()` Gets the key value for this MapTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String[]` | `getValues()` Gets the values value for this MapTO.
`int` | `hashCode()`
`void` | `setKey(String key)` Sets the key value for this MapTO.
`void` | `setValues(String[] values)` Sets the values value for this MapTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapTO

    public MapTO()

### MapTO

    public MapTO(String key,
                 String[] values)

Method Detail

### getKey

    public String getKey()

  Gets the key value for this MapTO.

  Returns:
    key

### setKey

    public void setKey(String key)

  Sets the key value for this MapTO.

  Parameters:
    `key` -

### getValues

    public String[] getValues()

  Gets the values value for this MapTO.

  Returns:
    values

### setValues

    public void setValues(String[] values)

  Sets the values value for this MapTO.

  Parameters:
    `values` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD